import request from '@/config/axios'
// import type { FileData } from './types'

export const getTree = (data?: any) => {
  return request.post({ url: '/api/sysDictionary/showTree', data })
}

export const getDictPage = (data: any) => {
  return request.post({ url: '/api/sysDictionary/page', data })
}

export const getDict = (data: any) => {
  return request.post({ url: '/api/sysDictionary/list', data })
}

export const delTableListApi = (id: string | number): Promise<IResponse> => {
  return request.delete({ url: `/api/sysDictionary/${id}` })
}

export const saveTableApi = (data: any) => {
  return request.post({ url: '/api/sysDictionary', data })
}

export const updateTableApi = (data: any) => {
  return request.put({ url: '/api/sysDictionary', data })
}
